condense.onion {onion} | R Documentation

## Condense an onionic vector into a short form

### Description

Condense an onionic vector into a string vector showing whether the elements are positive, zero or negative.

### Usage

    ## S3 method for class 'onion'
    condense(x)

### Arguments

`x` | An onionic vector

### Value

Returns a string vector of the same length as `x` whose elements are length 4 or 8 strings for quaternions or octonions respectively. The characters are “`+`” for a positive, “`-`” for a negative, and “`0`” for a zero, element.

### Author(s)

Robin K. S. Hankin

### Examples

    condense(roct(3))

[Package onion version 1.2-7 Index]